main .ps-badge.ps-badge--bestseller {
  opacity: 1;
}
main .page-title {
  padding: 1em 0;
  font-weight: 500;
  width: calc(100% - 6rem);
  max-width: 1200px;
  margin: 0 auto;
  text-align: left;
}
body.post-type-archive-product main .page-title {
  display: none !important;
}
main .zobacz_btn {
  display: none;
}
main ul.products {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 3rem;
  padding-bottom: 3rem;
}
@media (max-width: 1200px) {
  main ul.products {
    gap: 1.5rem;
  }
}
main ul.products li.product {
  padding-bottom: 0.5rem !important;
}
body.woocommerce-page:not(.home) main ul.products li.product {
  width: 100% !important;
  margin: 0 !important;
}
main ul.products li.product img {
  aspect-ratio: 1;
  object-fit: contain;
}
main ul.products li.product:hover .pure2026_hover_img {
  opacity: 1;
}
@media (max-width: 768px) {
  main ul.products {
    grid-template-columns: 1fr 1fr;
    gap: 1.5rem;
  }
  main ul.products li.product .loop_attrs {
    margin-bottom: 0;
  }
  main ul.products li.product:only-child {
    grid-column: 1/span 2;
  }
}
main .woocommerce ul.products li.product .price {
  color: #000 !important;
  font-weight: 600;
  margin-bottom: 0;
  font-size: 1rem !important;
}
main .sa_sklep,
main .upsells.products {
  padding-bottom: 2rem;
  margin: 0 auto;
}
main .sa_sklep ul.products::before, main .sa_sklep ul.products::after,
main .upsells.products ul.products::before,
main .upsells.products ul.products::after {
  display: none !important;
}
@media (max-width: 1024px) {
  main .sa_sklep,
main .sa_cats {
    width: calc(100% - 1.5rem);
  }
}
main .product {
  opacity: 0;
  transform: translateY(20px);
  transition-duration: 0.8s;
  transition-property: opacity, transform;
}
main .product.visible {
  opacity: 1;
  transform: translateY(0);
}
main .add_to_cart_button,
main .button {
  display: block;
  text-align: center;
  position: relative;
}
main .loop_title,
main .loop_attrs,
main .przed_tytulem {
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: flex-start;
  gap: 12px;
}
main .loop_title,
main .przed_tytulem {
  border-bottom: 1px solid oklch(66% 0.002 106.424);
  align-items: flex-end;
  margin-bottom: 0.5rem;
  padding-bottom: 0.25rem;
}
main .loop_attrs {
  margin-bottom: 12px;
}
main .loop_attrs .cats {
  font-weight: 600;
}
main .opis,
main .loop_attrs,
main .ps-badge {
  line-height: normal;
  font-size: 0.875rem;
}
main .ps-badge {
  line-height: 1;
}
main .woocommerce ul.products li .opis {
  margin: 1em 0;
}
main .s_product {
  position: relative;
}
main .m_product {
  transition-duration: 0.3s;
  background: #f2f2f2;
  padding: 1.5rem;
  display: grid;
  grid-template-rows: auto auto 1fr;
}
main .m_product:hover {
  transform: scale(1.025);
}
main .m_product a {
  display: grid;
  padding: 1rem;
}
main .m_product a img {
  grid-column: 1;
  grid-row-start: 1;
  grid-row-end: 4;
  margin-right: 1rem;
  display: block;
}
main .m_product a .name,
main .m_product a .opis,
main .m_product a .price {
  grid-column: 2;
}
main .m_product a .name {
  font-weight: 500;
  font-size: 24px !important;
  line-height: 32px !important;
  color: #000000;
  padding: 0 !important;
}
main .m_product a .price {
  grid-row: 2;
  height: 1.5em;
}
main .m_product a .opis {
  font-weight: 400;
  height: 100%;
}

.woocommerce ul.products li.product .price {
  margin-bottom: 0;
}

.woocommerce-LoopProduct-link {
  display: block;
}

.woocommerce-products-header {
  margin-top: 4rem;
  margin-bottom: 4rem;
}

.sa_cats {
  flex-grow: 1;
  padding: 2rem 0;
  width: 66%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 2rem;
  row-gap: 1rem;
  max-width: 1200px;
  margin: 0 auto;
  font-size: 1.125rem;
  margin-bottom: 1.5rem;
}
.sa_cats a {
  white-space: nowrap;
}
.sa_cats a.selected {
  font-weight: 600;
}
.sa_cats .sa_main_cats {
  display: flex;
  gap: 0.5rem;
  flex-wrap: wrap;
  justify-content: center;
}
@media (max-width: 912px) {
  .sa_cats {
    justify-content: center !important;
    text-align: left;
    gap: 1rem;
    flex-direction: column;
    align-items: center;
  }
}

.sub_cats {
  display: none;
  position: absolute;
  top: 100%;
  left: -0.5em;
  background: linear-gradient(90deg, #ffffff, #f4f4f4ee);
  flex-direction: column;
  align-items: flex-start;
  gap: 1em;
  z-index: 10;
  padding: 0.5em;
  padding-top: 1em;
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -4px rgba(0, 0, 0, 0.1);
}

.cat_wrap {
  position: relative;
}
.cat_wrap:hover .sub_cats {
  display: flex;
}

.stock.in-stock {
  display: none;
}

.woocommerce-product-search {
  display: flex;
  gap: 0.5rem;
}

.sa_cats select {
  width: auto;
  max-width: 20rem;
  appearance: none;
  background-image: url("../../static/arrow_down.svg");
  background-repeat: no-repeat;
  background-position: right 0.5em top 50%;
  background-size: 0.7em;
  padding: 0;
  padding-right: 2em;
  border: 0;
  background-color: transparent;
}
@media (max-width: 800px) {
  .sa_cats select {
    max-width: 100%;
  }
}

@media (min-width: 1024px) {
  .pure2026_sklep_wrap {
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 4rem;
    margin: 0 4rem;
    position: relative;
  }
  .pure2026_sklep_wrap .sa_cats_wrap {
    position: relative;
  }
  .pure2026_sklep_wrap .sa_cats {
    flex-direction: column;
    justify-content: flex-start;
    width: auto;
    position: sticky;
    top: 8rem;
    padding: 0;
  }
  .pure2026_sklep_wrap .sa_cats select {
    padding: 0 2rem 0 0;
  }
  .pure2026_sklep_wrap .sa_cats .sa_main_cats {
    flex-direction: column;
  }
}

.pure2026_hover_img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 0;
  transition-duration: 0.6s;
  transition-property: opacity;
  pointer-events: none;
}